ECNamedCurveTable (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.asn1.x9

## Class ECNamedCurveTable

- java.lang.Object
- - org.bouncycastle.asn1.x9.ECNamedCurveTable

-     public class ECNamedCurveTable
      extends java.lang.Object

  A general class that reads all X9.62 style EC curve tables.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ECNamedCurveTable()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static X9ECParameters` | `getByName(java.lang.String name)` return a X9ECParameters object representing the passed in named curve.
    `static X9ECParametersHolder` | `getByNameLazy(java.lang.String name)`
    `static X9ECParameters` | `getByOID(ASN1ObjectIdentifier oid)` return a X9ECParameters object representing the passed in named curve.
    `static X9ECParametersHolder` | `getByOIDLazy(ASN1ObjectIdentifier oid)`
    `static java.lang.String` | `getName(ASN1ObjectIdentifier oid)` return a X9ECParameters object representing the passed in named curve.
    `static java.util.Enumeration` | `getNames()` return an enumeration of the names of the available curves.
    `static ASN1ObjectIdentifier` | `getOID(java.lang.String name)` return the object identifier signified by the passed in name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ECNamedCurveTable

          public ECNamedCurveTable()

  - ### Method Detail

    - #### getByName

          public static X9ECParameters getByName(java.lang.String name)

      return a X9ECParameters object representing the passed in named curve. The routine returns null if the curve is not present.
      Parameters:
        `name` - the name of the curve requested
      Returns:
        an X9ECParameters object or null if the curve is not available.

    - #### getByNameLazy

          public static X9ECParametersHolder getByNameLazy(java.lang.String name)

    - #### getOID

          public static ASN1ObjectIdentifier getOID(java.lang.String name)

      return the object identifier signified by the passed in name. Null if there is no object identifier associated with name.
      Returns:
        the object identifier associated with name, if present.

    - #### getName

          public static java.lang.String getName(ASN1ObjectIdentifier oid)

      return a X9ECParameters object representing the passed in named curve.
      Parameters:
        `oid` - the object id of the curve requested
      Returns:
        a standard name for the curve.

    - #### getByOID

          public static X9ECParameters getByOID(ASN1ObjectIdentifier oid)

      return a X9ECParameters object representing the passed in named curve.
      Parameters:
        `oid` - the object id of the curve requested
      Returns:
        an X9ECParameters object or null if the curve is not available.

    - #### getByOIDLazy

          public static X9ECParametersHolder getByOIDLazy(ASN1ObjectIdentifier oid)

    - #### getNames

          public static java.util.Enumeration getNames()

      return an enumeration of the names of the available curves.
      Returns:
        an enumeration of the names of the available curves.